# Generated from stargate-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name stargate

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: A portal to remote services
License: Apache-2.0
URL: https://github.com/jobandtalent/stargate
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.8
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-reporters) >= 1.1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(rack-test) >= 0.6
# BuildRequires: rubygem(rack-test) < 1
# BuildRequires: rubygem(mocha) >= 1.1
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(webmock) >= 1.22
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(puma) >= 2.11
# BuildRequires: rubygem(puma) < 3
# BuildRequires: rubygem(vcr) >= 3.0
# BuildRequires: rubygem(vcr) < 4
# BuildRequires: rubygem(rake-bump) >= 0.4
# BuildRequires: rubygem(rake-bump) < 1
# BuildRequires: rubygem(rake-bump) >= 0.4.6
BuildArch: noarch

%description
Stargate opens a portal to call remote methods via simple and reliable RPC
protocols.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Dockerfile
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/examples
%{gem_instdir}/stargate.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.4-1
- Initial package
